films/urls.py
from django.urls import path
from . import views

app_name = 'films'

urlpatterns = [
    path('', views.main, name='main'),
    path('user_info/', views.user_info, name='user_info'),
]

project/urls.py
from django.contrib import admin
from django.urls import path, include
from films import views

urlpatterns = [
    path('', views.home, name='home'),
    path('admin/', admin.site.urls),
    path('films/', include('films.urls')),
]

films/models.py
from django.db import models

# Create your models here.

films/views.py
from django.shortcuts import render

def home(request):
    return render(request, 'home.html')
def main(request):
    return render(request, 'films/main.html')
def user_info(request):
    return render(request, 'films/user_info.html')

films/templates/films/main.html
{% extends 'base.html' %}
{% block content %}
<h1>This is the films MAIN page</h1>
<br>
<h4>Some Pixar Movies:</h4>
<ul>
  {% for number in '012'|make_list %}
    <li>Toy Story {{forloop.counter}}</li>
  {% endfor %}
</ul>
{% endblock  %}

films/templates/films/user_info.html
{% extends 'base.html' %}
{% block content %}
<h1>This is the films USER_INFO page</h1>
<br>
{% if userinfo %}
  <h4>username: {{userinfo.username}}</h4>
  <h4>country: {{userinfo.country}}</h4>
{% else %}
  <h4>username: not informed</h4>
  <h4>country: not informed</h4>
{% endif %}
{% endblock  %}

templates/base.html
<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet">

    <!-- INSERT ADITIONAL INFORMATION TO THE HEAD TAG HERE-->
    {% block head %}
    {% endblock%}

    <!-- CHANGES THE PAGE TITLE IF THE VARIABLE "title" IS PASSED BY THE VIEW -->
    {% if title %}
        <title>{{title}}</title>
    {% else %}
    <!-- USE DEFAULT TITLE TEXT IF NO VARIABLE "title" IS PASSED BY THE VIEW -->
        <title>My Films App</title>
    {% endif %}
    
  </head>
  <body>
    <!-- BOOTSTRAP NAVBAR CODE -->
    <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
        <div class="d-flex justify-content-between px-5 mx-auto" style="width: 90%;">
            <span class="navbar-text text-white">FIRST DJANGO APP</span>
            <ul class="navbar-nav mr-auto">
                <li class="nav-item active">
                    <a class="nav-link active" href="{% url 'home' %}">Home</a>
                </li>
                <li class="nav-item active">
                    <a class="nav-link active" href="{% url 'films:main' %}">Films</a>
                </li>
                <li class="nav-item active">
                    <a class="nav-link active" href="{% url 'films:user_info' %}">UserInfo</a>
                </li>
            </ul>
        </div>
    </nav>
    <!-- END OF NAVBAR CODE-->


    <div class="container-fluid mt-5" style="max-width: 80%">    
    <!-- INSERT THE CONTENT FROM SPECIFIC PAGES HERE-->
        {% block content %}
        {% endblock  %}
    </div>
    
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"></script>
  </body>
</html>

templates/home.html
{% extends 'base.html' %}
{% block content %}
<h1>This is the Home Page</h1>
<br>
<h3>Thanks for visiting us</h3>
<br>
<p>MVT means:</p>
<ul>
  <li>Model</li>
  <li>View</li>
  <li>Template</li>
</ul>
{% endblock  %}